"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_transport_1 = require("@bbc/http-transport");
exports.RequestTransport = http_transport_1.RequestTransport;
const _ = require("lodash");
const circuitBreaker_1 = require("./circuitBreaker/circuitBreaker");
const client_1 = require("./httpTransport/client");
function createClient(params) {
    const paramsWithDefaults = _.defaults({}, params, { name: 'flashheart' });
    const client = new client_1.HttpTransportClient(paramsWithDefaults);
    if (paramsWithDefaults.circuitbreaker) {
        return new circuitBreaker_1.CircuitBreaker(client, paramsWithDefaults);
    }
    return client;
}
exports.createClient = createClient;
